Linux Lite Forums

General => Security & Bug Fixes => Topic started by: Jerry on May 20, 2017, 09:59:05 AM

Title: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 20, 2017, 09:59:05 AM
Looks to me like there could be a bug in the latest version of Grub.

IMPORTANT: If you are planning to do updates, DON'T. Not until there is more word on this.

Those that have, may see a message similar to the following in their log:

Code: [Select]
Setting up grub-common (2.02~beta2-36ubuntu3.10) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up grub2-common (2.02~beta2-36ubuntu3.10) ...
Setting up grub-pc-bin (2.02~beta2-36ubuntu3.10) ...
Setting up grub-pc (2.02~beta2-36ubuntu3.10) ...
/var/lib/dpkg/info/grub-pc.postinst: line 703: syntax error near unexpected token `fi'
dpkg: error processing package grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 2

Ubuntu is bound to catch this so please wait for further instructions and don't not update yet if you haven't already.

Stay tuned :)
Title: Re: Possible bug in Grub in latest Install Updates
Post by: BritBloke on May 20, 2017, 10:11:58 AM
Got the same error message : --
Code: [Select]
=====================
E: grub-pc: subprocess installed post-installation script returned error exit status 2

Selecting previously unselected package libsignon-glib1:i386.
(Reading database ... 216243 files and directories currently installed.)
Preparing to unpack .../libsignon-glib1_1.13+16.04.20151209.1-0ubuntu1_i386.deb ...
Unpacking libsignon-glib1:i386 (1.13+16.04.20151209.1-0ubuntu1) ...
Selecting previously unselected package libaccounts-glib0:i386.
Preparing to unpack .../libaccounts-glib0_1.21+16.04.20160222-0ubuntu1_i386.deb ...
Unpacking libaccounts-glib0:i386 (1.21+16.04.20160222-0ubuntu1) ...
Selecting previously unselected package libexiv2-14:i386.
Preparing to unpack .../libexiv2-14_0.25-2.1ubuntu16.04.1_i386.deb ...
Unpacking libexiv2-14:i386 (0.25-2.1ubuntu16.04.1) ...
Selecting previously unselected package libgexiv2-2:i386.
Preparing to unpack .../libgexiv2-2_0.10.3-2_i386.deb ...
Unpacking libgexiv2-2:i386 (0.10.3-2) ...
Selecting previously unselected package shotwell-common.
Preparing to unpack .../shotwell-common_0.22.0+git20160108.r1.f2fb1f7-0ubuntu1_all.deb ...
Unpacking shotwell-common (0.22.0+git20160108.r1.f2fb1f7-0ubuntu1) ...
Selecting previously unselected package shotwell.
Preparing to unpack .../shotwell_0.22.0+git20160108.r1.f2fb1f7-0ubuntu1_i386.deb ...
Unpacking shotwell (0.22.0+git20160108.r1.f2fb1f7-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for libglib2.0-0:i386 (2.48.2-0ubuntu1) ...
Processing triggers for menu (2.1.47ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up grub-pc (2.02~beta2-36ubuntu3.10) ...
/var/lib/dpkg/info/grub-pc.postinst: line 703: syntax error near unexpected token `fi'
dpkg: error processing package grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up libsignon-glib1:i386 (1.13+16.04.20151209.1-0ubuntu1) ...
Setting up libaccounts-glib0:i386 (1.21+16.04.20160222-0ubuntu1) ...
Setting up libexiv2-14:i386 (0.25-2.1ubuntu16.04.1) ...
Setting up libgexiv2-2:i386 (0.10.3-2) ...
Setting up shotwell-common (0.22.0+git20160108.r1.f2fb1f7-0ubuntu1) ...
Setting up shotwell (0.22.0+git20160108.r1.f2fb1f7-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Processing triggers for menu (2.1.47ubuntu1) ...
Errors were encountered while processing:
 grub-pc
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up grub-pc (2.02~beta2-36ubuntu3.10) ...
/var/lib/dpkg/info/grub-pc.postinst: line 703: syntax error near unexpected token `fi'
dpkg: error processing package grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 grub-pc
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 20, 2017, 10:16:17 AM
Follow the thread here if you're interested - https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1692215 (https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1692215)
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 20, 2017, 10:46:45 AM
Those brave enough to fix this themselves can do the following to fix:

Code: [Select]
sudo leafpad /var/lib/dpkg/info/grub-pc.postinst
change line 699 from:

Code: [Select]
        if dpkg --compare-versions "$2" lt-nl 2.02~beta2-36ubuntu3.10 then

to:

Code: [Select]
        if dpkg --compare-versions "$2" lt-nl 2.02~beta2-36ubuntu3.10; then

notice the added semicolon after ubuntu3.10

Then run:

Code: [Select]
sudo dpkg --configure grub-pc
Please confirm this fix works.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Ottawagrant on May 20, 2017, 11:04:00 AM
Hi Jerry: When you try to run the command in terminal you get an error that it can't open it because it's a directory. But if you go to the file itself & right-click 'open as administrator', it'll open. I changed the line (#699), saved & then ran the sudo grub update in terminal. BUT! You then get a choice of:
-install the package maintainers version
-keep the local version installed
-show the differences between the versions
-show a side-by-side difference between the versions
-show a 3-way difference between available versions
-do a 3-way merge between available versions (experimental)
-start a new shell to examine the situation

Which do I select? I'm just going to keep the terminal window open until you, or someone else posts a reply & then I'll let you know what happened.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 20, 2017, 11:19:34 AM
So you've encountered the exact same updates error as above have you?

Sent from my Mobile phone using Tapatalk

Title: Re: Possible bug in Grub in latest Install Updates
Post by: Ottawagrant on May 20, 2017, 11:48:58 AM
When I booted up my computer first thing this morning I updated the computer. Error. So I came here to see if anyone else had it. they did. After I modified grub-pc.postinst I was trapped into making a choice between 6 choices in terminal. I also found that while terminal was open I couldn't come to the forum & post a reply. I remember having a similar situation to this back in Linux Lite series 1. The choice I made at the time was "install the package maintainers version". Also doing a side-by-side comparison of the first 2 choices the first choice (package maintainer) was a newer version than the second choice. 50 - 50 choice I figured, so I went with choice number 1 - "install the package maintainers version". Entered it, it installed it, no error. Rebooted the computer & all seems well. Running update it tells me that my system is up to date. But as I mentioned you do have to actually go to /var/lib/dpkg/info & right-click grub-pc.postinst to change it. It won't open via terminal.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: elelme on May 20, 2017, 12:09:08 PM
I thought, being a novice, that I broke the distro, finally...
THANKS for the alert. Had just about decided that LL was just
another disappointment..Whew! So glad to know it was not Linux Lite and not me, either. 
Title: Re: Possible bug in Grub in latest Install Updates
Post by: jonno O on May 20, 2017, 12:55:54 PM
updated before i saw your message :-[ came out with error as you mentioned.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 20, 2017, 03:06:27 PM
So if I updated the source to install something this be an bad idea?? For now!?


God not dead! He roaring like an Lion.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: supergamer on May 20, 2017, 05:44:03 PM
I just checked a vm install and updated. I can report no issues so there was already a pushed out update to fix this on grub-common.
Code: [Select]
2.02~beta2-36ubuntu3.11This is what is showed now.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 20, 2017, 11:09:42 PM
Bug has been patched by Ubuntu and is currently being distributed to global repos. USA looks to have got it first.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 20, 2017, 11:16:46 PM
Run this check first:

Code: [Select]
sudo apt-get update
Code: [Select]
apt policy grub-pc
If it does not report in the Candidate line:

Code: [Select]
grub-pc:
  Candidate: 2.02~beta2-36ubuntu3.11

The updated packages are not available in your Countries repos yet.

Run the above commands once a day until you show the above version.

Buggy version:

2.02~beta2-36ubuntu3.10

Fixed, updated version:

2.02~beta2-36ubuntu3.11
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Artim on May 21, 2017, 09:07:30 AM
It seems weird that there is beta software in a beginner's distro (not just for beginners, of course).  Newcomers to Linux should not be unwitting beta testers! 

I'm glad upstream caught it and replaced the buggy version, but even the replacement is beta.  I have learned to be very selective with updates.

Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 21, 2017, 09:35:09 AM
It's extremely rare in Linux Lite. So much so that this is the first time it's ever happened from an Ubuntu repository in our OS. Not bad for a distribution that's been around since 2012.

Sent from my Mobile phone using Tapatalk

Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 21, 2017, 11:15:48 AM
Starting to regret to put my rig back on an ubuntu drivi distro. Debian is better through and through. It is rare


God not dead! He roaring like an Lion.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: elelme on May 21, 2017, 12:43:18 PM
Thank you for that info, Jerry! Most reassuring!
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Coastie on May 21, 2017, 01:28:04 PM
Run this check first:

Code: [Select]
sudo apt-get update
Code: [Select]
apt policy grub-pc
If it does not report in the first 2 lines:

Code: [Select]
grub-pc:
  Installed: 2.02~beta2-36ubuntu3.11
  Candidate: 2.02~beta2-36ubuntu3.11

The updated packages are not available in your Countries repos yet.

Run the above commands once a day until you show the above version.

Buggy version:

2.02~beta2-36ubuntu3.10

Fixed, updated version:

2.02~beta2-36ubuntu3.11

When I run the above commands I get:

grub-pc:
  Installed: 2.02~beta2-36ubuntu3.9
  Candidate: 2.02~beta2-36ubuntu3.9

It looks to me that I am running 3.9 not 3.10 or 3.11. I usually check for updates once or twice a day. Does this mean I should update or not?
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 21, 2017, 01:39:22 PM
Coastie, the answer is in the 2nd command, 'If it does not...'

Sent from my Mobile phone using Tapatalk

Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 21, 2017, 01:44:38 PM
I've updated post #12 to be more specific.

Sent from my Mobile phone using Tapatalk

Title: Re: Possible bug in Grub in latest Install Updates
Post by: Coastie on May 21, 2017, 06:14:46 PM
Using Lite Tweaks, I restored package management to default. (I had changed it to USA Atlantic because I had read it would be faster.) Ran commands again in terminal and the grub update was available so I updated without any problem.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 21, 2017, 06:49:00 PM
ok ill do the same.

Sent from my SAMSUNG-SM-G920A using Tapatalk

Title: Re: Possible bug in Grub in latest Install Updates
Post by: penglezos on May 23, 2017, 04:37:56 AM
I think I got the update in Greece!!  ::)

Code: [Select]
Installed: 2.02~beta2-36ubuntu3.11
  Candidate: 2.02~beta2-36ubuntu3.11
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 23, 2017, 04:42:38 AM
@penglezos nice :)
Title: Re: Possible bug in Grub in latest Install Updates
Post by: penglezos on May 23, 2017, 04:44:36 AM
@penglezos nice :)

Forgot to mention a big thanks for the information and the guide provided by you @Jerry !! I think the post should be closed.

Have a nice day!!
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 23, 2017, 04:45:51 AM
You're very welcome :)
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 23, 2017, 12:50:13 PM
im still on 2-36ubuntu3.9... im in the states...

Sent from my SAMSUNG-SM-G920A using Tapatalk

Title: Re: Possible bug in Grub in latest Install Updates
Post by: torreydale on May 23, 2017, 01:38:40 PM
Me, too.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: penglezos on May 23, 2017, 01:59:18 PM
Wondering why I got the update so fast here in Greece...
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 23, 2017, 02:41:14 PM
I am seriously debating on going back to an Debian only distro... like Noah said from Jb community. Ubuntu need thier act together.


God not dead! He roaring like an Lion.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Artim on May 23, 2017, 05:59:22 PM
To be fair, this kind of bug in an update is thankfully pretty rare.  I think it's probably a good idea to at least "lurk" in the forums a bit before applying updates.  I would update only twice a week or so, to give it time for news to hit the forums and workarounds posted or updates fixed.

One thing I really liked about Mint (back when my aging hardware could run Mint Xfce) was the updater that helped me avoid bugaboos like this one.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: firenice03 on May 24, 2017, 09:50:33 PM
Ran apt-get update then checked apt policy grub-pc on a couple of systems..

On the 32bit candidate was 3.11
On the 64bit candidate was still 3.9

Installed was 3.9 on both..

Just FYI'ing
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 25, 2017, 12:52:13 AM
i am on today and both mine and my moms are at 3.9 still. i have yet to update moms but i been adding my open source company software too it...
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 25, 2017, 01:58:07 AM
The following (default) server pulls in the fixed package on 64bit:

(http://i.imgur.com/Lh049BY.png)
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 29, 2017, 04:44:10 PM
Still stuck at 3.9.


God not dead! He roaring like an Lion.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 29, 2017, 11:54:16 PM
Still stuck at 3.9.


Does your Software Sources look like the image I previously posted?
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 30, 2017, 12:00:31 AM
Yep.


God not dead! He roaring like an Lion.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 30, 2017, 12:06:42 AM
Then there must be another issue here. Run the following commands:

Code: [Select]
sudo leafpad /etc/apt/sources.list
post the file contents here. Then:

Code: [Select]
sudo apt-get update
sudo apt-get dist-upgrade
apt policy grub-pc
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 30, 2017, 12:09:19 AM

# deb http://us.archive.ubuntu.com/ubuntu/ xenial main restricted


# deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
# deb http://security.ubuntu.com/ubuntu xenial-security main restricted


# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://us.archive.ubuntu.com/ubuntu/ xenial main restricted


## Major bug fix updates produced after the final release of the
## distribution.
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted


## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ xenial universe
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates universe


## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://us.archive.ubuntu.com/ubuntu/ xenial multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates multiverse


## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse


deb http://us.archive.ubuntu.com/ubuntu/ xenial-security main restricted
deb http://us.archive.ubuntu.com/ubuntu/ xenial-security universe
deb http://us.archive.ubuntu.com/ubuntu/ xenial-security multiverse


## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu xenial partner
# deb-src http://archive.canonical.com/ubuntu xenial partner


## Uncomment the following two lines to add software from Ubuntu's
## 'extras' repository.
## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
# deb http://extras.ubuntu.com/ubuntu xenial main
# deb-src http://extras.ubuntu.com/ubuntu xenial main
deb http://archive.canonical.com/ xenial partner
# deb-src http://archive.canonical.com/ xenial partner
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 30, 2017, 12:12:29 AM
What did the other commands I posted produce?
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 30, 2017, 12:19:55 AM
What did the other commands I posted produce?

im still at 3.9 screenshot it but the fourm wont let me post it.... i am about to see if i can get on twitter on my moms rig to send an dm....
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 30, 2017, 12:21:43 AM
Paste it on a paste siite like https://justpaste.it/ then send the link here.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 30, 2017, 12:24:29 AM
https://jpst.it/_Ln-


here the just paste link jerry
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 30, 2017, 12:26:37 AM
I need to see all of the terminal output, not a screenshot. Cheers :)
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 30, 2017, 12:37:24 AM
im about to get you all of it...


[/code]
Code: [Select]
[email protected]:~$ apt policy grub-pc
grub-pc:
  Installed: 2.02~beta2-36ubuntu3.9
  Candidate: 2.02~beta2-36ubuntu3.9
  Version table:
 *** 2.02~beta2-36ubuntu3.9 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     2.02~beta2-36ubuntu3 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
[email protected]:~$
[email protected]:~$ sudo apt-get update
[sudo]
[sudo]
Hit:1 http://repo.linuxliteos.com/linuxlite citrine InRelease
Hit:2 http://us.archive.ubuntu.com/ubuntu xenial InRelease                     
Get:3 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]   
Hit:4 http://archive.canonical.com xenial InRelease                           
Hit:5 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial InRelease         
Ign:6 http://linux.dropbox.com/ubuntu wily InRelease                           
Hit:7 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Get:8 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Get:9 http://us.archive.ubuntu.com/ubuntu xenial-security InRelease [102 kB]   
Hit:10 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial InRelease       
Hit:11 http://linux.dropbox.com/ubuntu wily Release                     
Fetched 306 kB in 1s (251 kB/s)                   
Reading package lists... Done
[email protected]:~$ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  efibootmgr libefivar0 libgles1-mesa
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~$ apt policy grub-pc
grub-pc:
  Installed: 2.02~beta2-36ubuntu3.9
  Candidate: 2.02~beta2-36ubuntu3.9
  Version table:
 *** 2.02~beta2-36ubuntu3.9 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     2.02~beta2-36ubuntu3 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages

Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 30, 2017, 12:43:13 AM
In a fresh terminal:

Code: [Select]
sudo leafpad /etc/apt/sources.list
Overwrite with the following:

Code: [Select]
###### Ubuntu Main Repos
deb http://us.archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse


###### Ubuntu Update Repos
deb http://us.archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial-security main restricted universe multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-proposed main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial-proposed main restricted universe multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse


###### Ubuntu Partner Repos
deb http://archive.canonical.com/ xenial partner
# deb-src http://archive.canonical.com/ xenial partner

Then:

Code: [Select]
sudo apt-get update
sudo apt-get dist-upgrade
apt policy grub-pc

Paste the output here.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 30, 2017, 01:08:51 AM
got it!
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 30, 2017, 04:31:24 AM
Good to hear :)
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 30, 2017, 04:59:57 PM
hey jerry it working but now i got this happening..... is this suppose to happen after i inserted that last night??
[/code]
Code: [Select]
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Packages (main/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Translations (main/i18n/Translation-en_US) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Packages (restricted/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Packages (restricted/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Packages (restricted/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Translations (restricted/i18n/Translation-en_US) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Translations (restricted/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:36
W: Target Packages (universe/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:17 and /etc/apt/sources.list:36
W: Target Packages (universe/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list:17 and /etc/apt/sources.list:36
W: Target Packages (universe/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:17 and /etc/apt/sources.list:36
W: Target Translations (universe/i18n/Translation-en_US) is configured multiple times in /etc/apt/sources.list:17 and /etc/apt/sources.list:36
W: Target Translations (universe/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:17 and /etc/apt/sources.list:36
W: Target Packages (multiverse/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:25 and /etc/apt/sources.list:36
W: Target Packages (multiverse/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list:25 and /etc/apt/sources.list:36
W: Target Packages (multiverse/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:25 and /etc/apt/sources.list:36
W: Target Translations (multiverse/i18n/Translation-en_US) is configured multiple times in /etc/apt/sources.list:25 and /etc/apt/sources.list:36
W: Target Translations (multiverse/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:25 and /etc/apt/sources.list:36
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 30, 2017, 09:32:50 PM
Please paste the output of:

Code: [Select]
cat /etc/apt/sources.list
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 30, 2017, 11:20:50 PM
Code: [Select]
[email protected]:~$ cat /etc/apt/sources.list
# deb http://us.archive.ubuntu.com/ubuntu/ xenial main restricted


# deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
# deb http://security.ubuntu.com/ubuntu xenial-security main restricted


# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://us.archive.ubuntu.com/ubuntu/ xenial main restricted


## Major bug fix updates produced after the final release of the
## distribution.
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted


## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ xenial universe
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates universe


## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://us.archive.ubuntu.com/ubuntu/ xenial multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates multiverse


## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse


###### Ubuntu Main Repos
deb http://us.archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse




###### Ubuntu Update Repos
deb http://us.archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial-security main restricted universe multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-proposed main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial-proposed main restricted universe multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse




###### Ubuntu Partner Repos
deb http://archive.canonical.com/ xenial partner
# deb-src http://archive.canonical.com/ xenial partner
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu xenial partner
# deb-src http://archive.canonical.com/ubuntu xenial partner


## Uncomment the following two lines to add software from Ubuntu's
## 'extras' repository.
## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
# deb http://extras.ubuntu.com/ubuntu xenial main
# deb-src http://extras.ubuntu.com/ubuntu xenial main
deb http://archive.canonical.com/ xenial partner
# deb-src http://archive.canonical.com/ xenial partner
[email protected]:~$
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 30, 2017, 11:26:12 PM
Refer to my post #45 it specifically says 'Overwrite'. You've inserted instead of overwriting the file contents.
Once you've done that you will be good to go :)
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bluzeo on May 30, 2017, 11:37:03 PM
ok - i have deleted and replace and save and ran the update.  no error are given now. thank you
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on May 30, 2017, 11:42:39 PM
You are welcome :)
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bitsnpcs on June 02, 2017, 05:24:58 PM
Then there must be another issue here. Run the following commands:

Code: [Select]
sudo leafpad /etc/apt/sources.list
post the file contents here. Then:

Code: [Select]
sudo apt-get update
sudo apt-get dist-upgrade
apt policy grub-pc
Code: [Select]
:~$ sudo apt-get update
[sudo] password for bitsnpcs:
Hit:1 http://archive.canonical.com/ubuntu xenial InRelease
Hit:2 http://ppa.launchpad.net/christian-boxdoerfer/fsearch-daily/ubuntu xenial InRelease
Hit:3 http://archive.canonical.com xenial InRelease                           
Hit:4 http://ppa.launchpad.net/clipgrab-team/ppa/ubuntu xenial InRelease       
Hit:5 http://ppa.launchpad.net/maarten-baert/simplescreenrecorder/ubuntu xenial InRelease
Hit:6 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial InRelease         
Hit:7 http://ppa.launchpad.net/noobslab/apps/ubuntu xenial InRelease           
Hit:8 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Hit:9 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial InRelease         
Hit:10 http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu xenial InRelease 
Hit:11 http://us.archive.ubuntu.com/ubuntu xenial InRelease                   
Hit:12 http://repo.linuxliteos.com/linuxlite citrine InRelease                 
Get:13 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]   
Hit:14 http://www.mediahuman.com/packages/ubuntu xenial InRelease             
Get:15 https://download.01.org/gfx/ubuntu/16.04/main xenial InRelease [3,651 B]
Get:16 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Get:17 http://us.archive.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Fetched 310 kB in 1s (192 kB/s)     
Reading package lists... Done
W: https://download.01.org/gfx/ubuntu/16.04/main/dists/xenial/InRelease: Signature by key 09D6EF97BFB38E916EF060E756A3DEF863961D39 uses weak digest algorithm (SHA1)
bitsnpcs[member=411]bitsnpcs[/member]:~$ sudo leafpad /etc/apt/sources.list

(leafpad:30980): IBUS-WARNING **: The owner of /home/bitsnpcs/.config/ibus/bus is not root!

Sources List

Code: [Select]
# deb http://us.archive.ubuntu.com/ubuntu/ xenial main restricted

# deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
# deb http://security.ubuntu.com/ubuntu xenial-security main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://us.archive.ubuntu.com/ubuntu/ xenial main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ xenial universe
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial universe
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates universe
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://us.archive.ubuntu.com/ubuntu/ xenial multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse

deb http://us.archive.ubuntu.com/ubuntu/ xenial-security main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-security main restricted
deb http://us.archive.ubuntu.com/ubuntu/ xenial-security universe
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-security universe
deb http://us.archive.ubuntu.com/ubuntu/ xenial-security multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu xenial partner
# deb-src http://archive.canonical.com/ubuntu xenial partner

## Uncomment the following two lines to add software from Ubuntu's
## 'extras' repository.
## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
# deb http://extras.ubuntu.com/ubuntu xenial main
# deb-src http://extras.ubuntu.com/ubuntu xenial main
deb http://archive.canonical.com/ xenial partner
# deb-src http://archive.canonical.com/ xenial partner
deb http://www.mediahuman.com/packages/ubuntu xenial main
# deb-src http://www.mediahuman.com/packages/ubuntu xenial main
# deb-src http://www.mediahuman.com/packages/ubuntu xenial main
# deb-src http://www.mediahuman.com/packages/ubuntu xenial main
# deb-src http://www.mediahuman.com/packages/ubuntu xenial main

Code: [Select]
:~$ sudo apt-get dist-upgrade
[sudo] password for bitsnpcs:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
bitsnpcs[member=411]bitsnpcs[/member]:~$

Code: [Select]
:~$ apt policy grub-pc
grub-pc:
  Installed: 2.02~beta2-36ubuntu3.9
  Candidate: 2.02~beta2-36ubuntu3.9
  Version table:
 *** 2.02~beta2-36ubuntu3.9 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     2.02~beta2-36ubuntu3 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
bitsnpcs[member=411]bitsnpcs[/member]:~$

Member=.. does not appear in terminal it appears when posting on the forum the username.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on June 02, 2017, 11:28:12 PM
@bitsnpcs use my instructions in Post #45 of this thread, adding to the end of the file any repos you added eg. 'mediahuman'
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bitsnpcs on June 03, 2017, 04:27:15 AM
Hello Jerry,
I have followed Post#45 here are the results for the commands after editing leafpad file.

Code: [Select]
:~$ sudo apt-get update
Hit:1 http://archive.canonical.com xenial InRelease
Hit:2 http://ppa.launchpad.net/christian-boxdoerfer/fsearch-daily/ubuntu xenial InRelease
Hit:3 http://ppa.launchpad.net/clipgrab-team/ppa/ubuntu xenial InRelease       
Hit:4 http://ppa.launchpad.net/maarten-baert/simplescreenrecorder/ubuntu xenial InRelease
Hit:5 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial InRelease         
Hit:6 http://ppa.launchpad.net/noobslab/apps/ubuntu xenial InRelease           
Hit:7 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Hit:8 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial InRelease         
Hit:9 http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu xenial InRelease   
Hit:10 http://us.archive.ubuntu.com/ubuntu xenial InRelease                   
Hit:11 http://repo.linuxliteos.com/linuxlite citrine InRelease                 
Get:12 http://us.archive.ubuntu.com/ubuntu xenial-security InRelease [102 kB] 
Hit:13 http://www.mediahuman.com/packages/ubuntu xenial InRelease             
Get:14 https://download.01.org/gfx/ubuntu/16.04/main xenial InRelease [3,651 B]
Get:15 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]   
Get:16 http://us.archive.ubuntu.com/ubuntu xenial-proposed InRelease [253 kB]
Get:17 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Get:18 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [544 kB]
Get:19 http://us.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [528 kB]
Get:20 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [471 kB]
Get:21 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [456 kB]
Get:22 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 Packages [119 kB]
Get:23 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main i386 Packages [111 kB]
Get:24 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main Translation-en [42.5 kB]
Get:25 http://us.archive.ubuntu.com/ubuntu xenial-proposed/restricted amd64 Packages [3,572 B]
Get:26 http://us.archive.ubuntu.com/ubuntu xenial-proposed/restricted i386 Packages [3,572 B]
Get:27 http://us.archive.ubuntu.com/ubuntu xenial-proposed/restricted Translation-en [1,368 B]
Get:28 http://us.archive.ubuntu.com/ubuntu xenial-proposed/universe amd64 Packages [45.2 kB]
Get:29 http://us.archive.ubuntu.com/ubuntu xenial-proposed/universe i386 Packages [43.6 kB]
Get:30 http://us.archive.ubuntu.com/ubuntu xenial-proposed/universe Translation-en [15.4 kB]
Get:31 http://us.archive.ubuntu.com/ubuntu xenial-proposed/multiverse amd64 Packages [1,612 B]
Get:32 http://us.archive.ubuntu.com/ubuntu xenial-proposed/multiverse i386 Packages [1,620 B]
Get:33 http://us.archive.ubuntu.com/ubuntu xenial-proposed/multiverse Translation-en [640 B]
Fetched 2,952 kB in 1s (1,486 kB/s)
Reading package lists... Done
W: https://download.01.org/gfx/ubuntu/16.04/main/dists/xenial/InRelease: Signature by key 09D6EF97BFB38E916EF060E756A3DEF863961D39 uses weak digest algorithm (SHA1)
bitsnpcs[member=411]bitsnpcs[/member]:~$

Code: [Select]
:~$ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
  libmircommon5
Use 'sudo apt autoremove' to remove it.
The following NEW packages will be installed:
  libcapnp-0.5.3 libmircommon7 libmircore1 linux-headers-4.4.0-79
  linux-headers-4.4.0-79-generic linux-image-4.4.0-79-generic
  linux-image-extra-4.4.0-79-generic
The following packages will be upgraded:
  binutils coreutils cups cups-browsed cups-bsd cups-client cups-common
  cups-core-drivers cups-daemon cups-filters cups-filters-core-drivers
  cups-ppdc cups-server-common grub-common grub-pc grub-pc-bin grub2-common
  gtk2-engines-pixbuf kpartx kpartx-boot less libcups2 libcups2-dev
  libcupscgi1 libcupsfilters-dev libcupsfilters1 libcupsimage2
  libcupsimage2-dev libcupsmime1 libcupsppdc1 libfontembed1 libgail18
  libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libmirclient9 libmirprotobuf3
  libnautilus-extension1a libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5
  libqt5widgets5 libqt5xml5 libsane libsane-common libsane-dev libssl-dev
  libssl-doc libssl1.0.0 libunity-control-center1 libxfont1 linux-firmware
  linux-generic linux-headers-generic linux-image-generic linux-libc-dev
  nautilus-data openssl sane-utils x11proto-core-dev
61 upgraded, 7 newly installed, 0 to remove and 0 not upgraded.
Need to get 137 MB of archives.
After this operation, 300 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 coreutils amd64 8.25-2ubuntu3~16.04 [1,174 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libcupsppdc1 amd64 2.1.3-4ubuntu0.2 [44.9 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libcupsmime1 amd64 2.1.3-4ubuntu0.2 [13.1 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libcupsimage2-dev amd64 2.1.3-4ubuntu0.2 [18.2 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libcups2-dev amd64 2.1.3-4ubuntu0.2 [238 kB]
Get:6 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libcupsfilters-dev amd64 1.8.3-2ubuntu3.3 [65.6 kB]
Get:7 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libcupsfilters1 amd64 1.8.3-2ubuntu3.3 [80.8 kB]
Get:8 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libcupsimage2 amd64 2.1.3-4ubuntu0.2 [16.1 kB]
Get:9 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libcupscgi1 amd64 2.1.3-4ubuntu0.2 [27.3 kB]
Get:10 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-filters-core-drivers amd64 1.8.3-2ubuntu3.3 [127 kB]
Get:11 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-core-drivers amd64 2.1.3-4ubuntu0.2 [27.3 kB]
Get:12 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-server-common all 2.1.3-4ubuntu0.2 [493 kB]
Get:13 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-browsed amd64 1.8.3-2ubuntu3.3 [94.1 kB]
Get:14 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-daemon amd64 2.1.3-4ubuntu0.2 [301 kB]
Get:15 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-common all 2.1.3-4ubuntu0.2 [134 kB]
Get:16 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-bsd amd64 2.1.3-4ubuntu0.2 [34.8 kB]
Get:17 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-client amd64 2.1.3-4ubuntu0.2 [133 kB]
Get:18 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libcups2 amd64 2.1.3-4ubuntu0.2 [196 kB]
Get:19 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups amd64 2.1.3-4ubuntu0.2 [192 kB]
Get:20 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-filters amd64 1.8.3-2ubuntu3.3 [448 kB]
Get:21 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cups-ppdc amd64 2.1.3-4ubuntu0.2 [26.6 kB]
Get:22 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libfontembed1 amd64 1.8.3-2ubuntu3.3 [47.5 kB]
Get:23 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 grub-pc amd64 2.02~beta2-36ubuntu3.11 [197 kB]
Get:24 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 grub2-common amd64 2.02~beta2-36ubuntu3.11 [511 kB]
Get:25 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 grub-pc-bin amd64 2.02~beta2-36ubuntu3.11 [889 kB]
Get:26 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 grub-common amd64 2.02~beta2-36ubuntu3.11 [1,707 kB]
Get:27 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libsane-dev amd64 1.0.25+git20150528-1ubuntu2.16.04.2 [2,208 kB]
Get:28 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libsane-common all 1.0.25+git20150528-1ubuntu2.16.04.2 [709 kB]
Get:29 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libsane amd64 1.0.25+git20150528-1ubuntu2.16.04.2 [2,012 kB]
Get:30 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libssl-doc all 1.0.2g-1ubuntu4.8 [1,078 kB]
Get:31 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libssl-dev amd64 1.0.2g-1ubuntu4.8 [1,345 kB]
Get:32 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libssl1.0.0 amd64 1.0.2g-1ubuntu4.8 [1,081 kB]
Get:33 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 libcapnp-0.5.3 amd64 0.5.3-2ubuntu1 [581 kB]
Get:34 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libgtk2.0-common all 2.24.30-1ubuntu1.16.04.1 [123 kB]
Get:35 http://us.archive.ubuntu.com/ubuntu xenial-proposed/universe amd64 gtk2-engines-pixbuf amd64 2.24.30-1ubuntu1.16.04.1 [19.1 kB]
Get:36 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libgtk2.0-bin amd64 2.24.30-1ubuntu1.16.04.1 [9,826 B]
Get:37 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libgail18 amd64 2.24.30-1ubuntu1.16.04.1 [14.2 kB]
Get:38 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libgtk2.0-0 amd64 2.24.30-1ubuntu1.16.04.1 [1,776 kB]
Get:39 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libmircore1 amd64 0.26.3+16.04.20170510-0ubuntu1 [24.6 kB]
Get:40 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libmircommon7 amd64 0.26.3+16.04.20170510-0ubuntu1 [89.8 kB]
Get:41 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libmirprotobuf3 amd64 0.26.3+16.04.20170510-0ubuntu1 [120 kB]
Get:42 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libmirclient9 amd64 0.26.3+16.04.20170510-0ubuntu1 [194 kB]
Get:43 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 less amd64 481-2.1ubuntu0.2 [110 kB]
Get:44 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 openssl amd64 1.0.2g-1ubuntu4.8 [492 kB]
Get:45 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 binutils amd64 2.26.1-1ubuntu1~16.04.4 [2,311 kB]
Get:46 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libnautilus-extension1a amd64 1:3.18.4.is.3.14.3-0ubuntu6 [53.7 kB]
Get:47 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libqt5core5a amd64 5.5.1+dfsg-16ubuntu7.5 [1,817 kB]
Get:48 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libqt5dbus5 amd64 5.5.1+dfsg-16ubuntu7.5 [175 kB]
Get:49 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libqt5network5 amd64 5.5.1+dfsg-16ubuntu7.5 [540 kB]
Get:50 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libqt5gui5 amd64 5.5.1+dfsg-16ubuntu7.5 [2,290 kB]
Get:51 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libqt5widgets5 amd64 5.5.1+dfsg-16ubuntu7.5 [2,252 kB]
Get:52 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libqt5xml5 amd64 5.5.1+dfsg-16ubuntu7.5 [91.8 kB]
Get:53 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libunity-control-center1 amd64 15.04.0+16.04.20170214-0ubuntu1 [81.1 kB]
Get:54 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 libxfont1 amd64 1:1.5.1-1ubuntu0.16.04.1 [95.1 kB]
Get:55 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-firmware all 1.157.11 [37.9 MB]
Get:56 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-image-4.4.0-79-generic amd64 4.4.0-79.100 [21.9 MB]
Get:57 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-image-extra-4.4.0-79-generic amd64 4.4.0-79.100 [35.9 MB]
Get:58 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-generic amd64 4.4.0.79.85 [1,788 B]
Get:59 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-image-generic amd64 4.4.0.79.85 [2,312 B]
Get:60 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-headers-4.4.0-79 all 4.4.0-79.100 [9,991 kB]
Get:61 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-headers-4.4.0-79-generic amd64 4.4.0-79.100 [787 kB]
Get:62 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-headers-generic amd64 4.4.0.79.85 [2,284 B]
Get:63 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-libc-dev amd64 4.4.0-79.100 [842 kB]
Get:64 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 nautilus-data all 1:3.18.4.is.3.14.3-0ubuntu6 [48.1 kB]
Get:65 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 sane-utils amd64 1.0.25+git20150528-1ubuntu2.16.04.2 [189 kB]
Get:66 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 x11proto-core-dev all 7.0.31-1~ubuntu16.04.1 [254 kB]
Get:67 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 kpartx-boot all 0.5.0+git1.656f8865-5ubuntu2.5 [2,146 B]
Get:68 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 kpartx amd64 0.5.0+git1.656f8865-5ubuntu2.5 [24.7 kB]
Fetched 137 MB in 22s (6,045 kB/s)                                             
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 275383 files and directories currently installed.)
Preparing to unpack .../coreutils_8.25-2ubuntu3~16.04_amd64.deb ...
Unpacking coreutils (8.25-2ubuntu3~16.04) over (8.25-2ubuntu2) ...
Processing triggers for install-info (6.1.0.dfsg.1-5) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up coreutils (8.25-2ubuntu3~16.04) ...
(Reading database ... 275383 files and directories currently installed.)
Preparing to unpack .../libcupsppdc1_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking libcupsppdc1:amd64 (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../libcupsmime1_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking libcupsmime1:amd64 (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../libcupsimage2-dev_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking libcupsimage2-dev (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../libcups2-dev_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking libcups2-dev:amd64 (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../libcupsfilters-dev_1.8.3-2ubuntu3.3_amd64.deb ...
Unpacking libcupsfilters-dev (1.8.3-2ubuntu3.3) over (1.8.3-2ubuntu3.1) ...
Preparing to unpack .../libcupsfilters1_1.8.3-2ubuntu3.3_amd64.deb ...
Unpacking libcupsfilters1:amd64 (1.8.3-2ubuntu3.3) over (1.8.3-2ubuntu3.1) ...
Preparing to unpack .../libcupsimage2_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking libcupsimage2:amd64 (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../libcupscgi1_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking libcupscgi1:amd64 (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../cups-filters-core-drivers_1.8.3-2ubuntu3.3_amd64.deb ...
Unpacking cups-filters-core-drivers (1.8.3-2ubuntu3.3) over (1.8.3-2ubuntu3.1) ...
Preparing to unpack .../cups-core-drivers_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking cups-core-drivers (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../cups-server-common_2.1.3-4ubuntu0.2_all.deb ...
Unpacking cups-server-common (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../cups-browsed_1.8.3-2ubuntu3.3_amd64.deb ...
Unpacking cups-browsed (1.8.3-2ubuntu3.3) over (1.8.3-2ubuntu3.1) ...
Preparing to unpack .../cups-daemon_2.1.3-4ubuntu0.2_amd64.deb ...
Warning: Stopping cups.service, but it can still be activated by:
  cups.socket
Unpacking cups-daemon (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../cups-common_2.1.3-4ubuntu0.2_all.deb ...
Unpacking cups-common (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../cups-bsd_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking cups-bsd (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../cups-client_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking cups-client (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../libcups2_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking libcups2:amd64 (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for systemd (229-4ubuntu17) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for ufw (0.35-0ubuntu2) ...
Setting up libcups2:amd64 (2.1.3-4ubuntu0.2) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
(Reading database ... 275383 files and directories currently installed.)
Preparing to unpack .../cups_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking cups (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../cups-filters_1.8.3-2ubuntu3.3_amd64.deb ...
Unpacking cups-filters (1.8.3-2ubuntu3.3) over (1.8.3-2ubuntu3.1) ...
Preparing to unpack .../cups-ppdc_2.1.3-4ubuntu0.2_amd64.deb ...
Unpacking cups-ppdc (2.1.3-4ubuntu0.2) over (2.1.3-4) ...
Preparing to unpack .../libfontembed1_1.8.3-2ubuntu3.3_amd64.deb ...
Unpacking libfontembed1:amd64 (1.8.3-2ubuntu3.3) over (1.8.3-2ubuntu3.1) ...
Preparing to unpack .../grub-pc_2.02~beta2-36ubuntu3.11_amd64.deb ...
Unpacking grub-pc (2.02~beta2-36ubuntu3.11) over (2.02~beta2-36ubuntu3.9) ...
Preparing to unpack .../grub2-common_2.02~beta2-36ubuntu3.11_amd64.deb ...
Unpacking grub2-common (2.02~beta2-36ubuntu3.11) over (2.02~beta2-36ubuntu3.9) ...
Preparing to unpack .../grub-pc-bin_2.02~beta2-36ubuntu3.11_amd64.deb ...
Unpacking grub-pc-bin (2.02~beta2-36ubuntu3.11) over (2.02~beta2-36ubuntu3.9) ...
Preparing to unpack .../grub-common_2.02~beta2-36ubuntu3.11_amd64.deb ...
Unpacking grub-common (2.02~beta2-36ubuntu3.11) over (2.02~beta2-36ubuntu3.9) ...
Preparing to unpack .../libsane-dev_1.0.25+git20150528-1ubuntu2.16.04.2_amd64.deb ...
Unpacking libsane-dev (1.0.25+git20150528-1ubuntu2.16.04.2) over (1.0.25+git20150528-1ubuntu2.16.04.1) ...
Preparing to unpack .../libsane-common_1.0.25+git20150528-1ubuntu2.16.04.2_all.deb ...
Unpacking libsane-common (1.0.25+git20150528-1ubuntu2.16.04.2) over (1.0.25+git20150528-1ubuntu2.16.04.1) ...
Preparing to unpack .../libsane_1.0.25+git20150528-1ubuntu2.16.04.2_amd64.deb ...
Unpacking libsane:amd64 (1.0.25+git20150528-1ubuntu2.16.04.2) over (1.0.25+git20150528-1ubuntu2.16.04.1) ...
Preparing to unpack .../libssl-doc_1.0.2g-1ubuntu4.8_all.deb ...
Unpacking libssl-doc (1.0.2g-1ubuntu4.8) over (1.0.2g-1ubuntu4.6) ...
Preparing to unpack .../libssl-dev_1.0.2g-1ubuntu4.8_amd64.deb ...
Unpacking libssl-dev:amd64 (1.0.2g-1ubuntu4.8) over (1.0.2g-1ubuntu4.6) ...
Preparing to unpack .../libssl1.0.0_1.0.2g-1ubuntu4.8_amd64.deb ...
Unpacking libssl1.0.0:amd64 (1.0.2g-1ubuntu4.8) over (1.0.2g-1ubuntu4.6) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Processing triggers for install-info (6.1.0.dfsg.1-5) ...
Processing triggers for systemd (229-4ubuntu17) ...
Processing triggers for ureadahead (0.100.0-19) ...
Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu4.8) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Selecting previously unselected package libcapnp-0.5.3:amd64.
(Reading database ... 275383 files and directories currently installed.)
Preparing to unpack .../libcapnp-0.5.3_0.5.3-2ubuntu1_amd64.deb ...
Unpacking libcapnp-0.5.3:amd64 (0.5.3-2ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Setting up libcapnp-0.5.3:amd64 (0.5.3-2ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
(Reading database ... 275393 files and directories currently installed.)
Preparing to unpack .../libgtk2.0-common_2.24.30-1ubuntu1.16.04.1_all.deb ...
Unpacking libgtk2.0-common (2.24.30-1ubuntu1.16.04.1) over (2.24.30-1ubuntu1) ...
Setting up libgtk2.0-common (2.24.30-1ubuntu1.16.04.1) ...
(Reading database ... 275393 files and directories currently installed.)
Preparing to unpack .../gtk2-engines-pixbuf_2.24.30-1ubuntu1.16.04.1_amd64.deb ...
Unpacking gtk2-engines-pixbuf:amd64 (2.24.30-1ubuntu1.16.04.1) over (2.24.30-1ubuntu1) ...
Preparing to unpack .../libgtk2.0-bin_2.24.30-1ubuntu1.16.04.1_amd64.deb ...
Unpacking libgtk2.0-bin (2.24.30-1ubuntu1.16.04.1) over (2.24.30-1ubuntu1) ...
Preparing to unpack .../libgail18_2.24.30-1ubuntu1.16.04.1_amd64.deb ...
Unpacking libgail18:amd64 (2.24.30-1ubuntu1.16.04.1) over (2.24.30-1ubuntu1) ...
Preparing to unpack .../libgtk2.0-0_2.24.30-1ubuntu1.16.04.1_amd64.deb ...
Unpacking libgtk2.0-0:amd64 (2.24.30-1ubuntu1.16.04.1) over (2.24.30-1ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Setting up libgtk2.0-0:amd64 (2.24.30-1ubuntu1.16.04.1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Selecting previously unselected package libmircore1:amd64.
(Reading database ... 275393 files and directories currently installed.)
Preparing to unpack .../libmircore1_0.26.3+16.04.20170510-0ubuntu1_amd64.deb ...
Unpacking libmircore1:amd64 (0.26.3+16.04.20170510-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Setting up libmircore1:amd64 (0.26.3+16.04.20170510-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Selecting previously unselected package libmircommon7:amd64.
(Reading database ... 275397 files and directories currently installed.)
Preparing to unpack .../libmircommon7_0.26.3+16.04.20170510-0ubuntu1_amd64.deb ...
Unpacking libmircommon7:amd64 (0.26.3+16.04.20170510-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Setting up libmircommon7:amd64 (0.26.3+16.04.20170510-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
(Reading database ... 275401 files and directories currently installed.)
Preparing to unpack .../libmirprotobuf3_0.26.3+16.04.20170510-0ubuntu1_amd64.deb ...
Unpacking libmirprotobuf3:amd64 (0.26.3+16.04.20170510-0ubuntu1) over (0.21.0+16.04.20160330-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Setting up libmirprotobuf3:amd64 (0.26.3+16.04.20170510-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
(Reading database ... 275401 files and directories currently installed.)
Preparing to unpack .../libmirclient9_0.26.3+16.04.20170510-0ubuntu1_amd64.deb ...
Unpacking libmirclient9:amd64 (0.26.3+16.04.20170510-0ubuntu1) over (0.21.0+16.04.20160330-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Setting up libmirclient9:amd64 (0.26.3+16.04.20170510-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
(Reading database ... 275401 files and directories currently installed.)
Preparing to unpack .../less_481-2.1ubuntu0.2_amd64.deb ...
Unpacking less (481-2.1ubuntu0.2) over (481-2.1ubuntu0.1) ...
Preparing to unpack .../openssl_1.0.2g-1ubuntu4.8_amd64.deb ...
Unpacking openssl (1.0.2g-1ubuntu4.8) over (1.0.2g-1ubuntu4.6) ...
Preparing to unpack .../binutils_2.26.1-1ubuntu1~16.04.4_amd64.deb ...
Unpacking binutils (2.26.1-1ubuntu1~16.04.4) over (2.26.1-1ubuntu1~16.04.3) ...
Preparing to unpack .../libnautilus-extension1a_1%3a3.18.4.is.3.14.3-0ubuntu6_amd64.deb ...
Unpacking libnautilus-extension1a:amd64 (1:3.18.4.is.3.14.3-0ubuntu6) over (1:3.18.4.is.3.14.3-0ubuntu5) ...
Preparing to unpack .../libqt5core5a_5.5.1+dfsg-16ubuntu7.5_amd64.deb ...
Unpacking libqt5core5a:amd64 (5.5.1+dfsg-16ubuntu7.5) over (5.5.1+dfsg-16ubuntu7.2) ...
Preparing to unpack .../libqt5dbus5_5.5.1+dfsg-16ubuntu7.5_amd64.deb ...
Unpacking libqt5dbus5:amd64 (5.5.1+dfsg-16ubuntu7.5) over (5.5.1+dfsg-16ubuntu7.2) ...
Preparing to unpack .../libqt5network5_5.5.1+dfsg-16ubuntu7.5_amd64.deb ...
Unpacking libqt5network5:amd64 (5.5.1+dfsg-16ubuntu7.5) over (5.5.1+dfsg-16ubuntu7.2) ...
Preparing to unpack .../libqt5gui5_5.5.1+dfsg-16ubuntu7.5_amd64.deb ...
Unpacking libqt5gui5:amd64 (5.5.1+dfsg-16ubuntu7.5) over (5.5.1+dfsg-16ubuntu7.2) ...
Preparing to unpack .../libqt5widgets5_5.5.1+dfsg-16ubuntu7.5_amd64.deb ...
Unpacking libqt5widgets5:amd64 (5.5.1+dfsg-16ubuntu7.5) over (5.5.1+dfsg-16ubuntu7.2) ...
Preparing to unpack .../libqt5xml5_5.5.1+dfsg-16ubuntu7.5_amd64.deb ...
Unpacking libqt5xml5:amd64 (5.5.1+dfsg-16ubuntu7.5) over (5.5.1+dfsg-16ubuntu7.2) ...
Preparing to unpack .../libunity-control-center1_15.04.0+16.04.20170214-0ubuntu1_amd64.deb ...
Unpacking libunity-control-center1 (15.04.0+16.04.20170214-0ubuntu1) over (15.04.0+16.04.20160705-0ubuntu1) ...
Preparing to unpack .../libxfont1_1%3a1.5.1-1ubuntu0.16.04.1_amd64.deb ...
Unpacking libxfont1:amd64 (1:1.5.1-1ubuntu0.16.04.1) over (1:1.5.1-1) ...
Preparing to unpack .../linux-firmware_1.157.11_all.deb ...
Unpacking linux-firmware (1.157.11) over (1.157.10) ...
Selecting previously unselected package linux-image-4.4.0-79-generic.
Preparing to unpack .../linux-image-4.4.0-79-generic_4.4.0-79.100_amd64.deb ...
Examining /etc/kernel/preinst.d/
run-parts: executing /etc/kernel/preinst.d/intel-microcode 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
Done.
Unpacking linux-image-4.4.0-79-generic (4.4.0-79.100) ...
Selecting previously unselected package linux-image-extra-4.4.0-79-generic.
Preparing to unpack .../linux-image-extra-4.4.0-79-generic_4.4.0-79.100_amd64.deb ...
Unpacking linux-image-extra-4.4.0-79-generic (4.4.0-79.100) ...
Preparing to unpack .../linux-generic_4.4.0.79.85_amd64.deb ...
Unpacking linux-generic (4.4.0.79.85) over (4.4.0.78.84) ...
Preparing to unpack .../linux-image-generic_4.4.0.79.85_amd64.deb ...
Unpacking linux-image-generic (4.4.0.79.85) over (4.4.0.78.84) ...
Selecting previously unselected package linux-headers-4.4.0-79.
Preparing to unpack .../linux-headers-4.4.0-79_4.4.0-79.100_all.deb ...
Unpacking linux-headers-4.4.0-79 (4.4.0-79.100) ...
Selecting previously unselected package linux-headers-4.4.0-79-generic.
Preparing to unpack .../linux-headers-4.4.0-79-generic_4.4.0-79.100_amd64.deb ...
Unpacking linux-headers-4.4.0-79-generic (4.4.0-79.100) ...
Preparing to unpack .../linux-headers-generic_4.4.0.79.85_amd64.deb ...
Unpacking linux-headers-generic (4.4.0.79.85) over (4.4.0.78.84) ...
Preparing to unpack .../linux-libc-dev_4.4.0-79.100_amd64.deb ...
Unpacking linux-libc-dev:amd64 (4.4.0-79.100) over (4.4.0-78.99) ...
Preparing to unpack .../nautilus-data_1%3a3.18.4.is.3.14.3-0ubuntu6_all.deb ...
Unpacking nautilus-data (1:3.18.4.is.3.14.3-0ubuntu6) over (1:3.18.4.is.3.14.3-0ubuntu5) ...
Preparing to unpack .../sane-utils_1.0.25+git20150528-1ubuntu2.16.04.2_amd64.deb ...
Unpacking sane-utils (1.0.25+git20150528-1ubuntu2.16.04.2) over (1.0.25+git20150528-1ubuntu2.16.04.1) ...
Preparing to unpack .../x11proto-core-dev_7.0.31-1~ubuntu16.04.1_all.deb ...
Unpacking x11proto-core-dev (7.0.31-1~ubuntu16.04.1) over (7.0.28-2ubuntu1) ...
Preparing to unpack .../kpartx-boot_0.5.0+git1.656f8865-5ubuntu2.5_all.deb ...
Unpacking kpartx-boot (0.5.0+git1.656f8865-5ubuntu2.5) over (0.5.0+git1.656f8865-5ubuntu2.4) ...
Preparing to unpack .../kpartx_0.5.0+git1.656f8865-5ubuntu2.5_amd64.deb ...
Unpacking kpartx (0.5.0+git1.656f8865-5ubuntu2.5) over (0.5.0+git1.656f8865-5ubuntu2.4) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Processing triggers for libglib2.0-0:amd64 (2.48.2-0ubuntu1) ...
Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
Processing triggers for systemd (229-4ubuntu17) ...
Processing triggers for ureadahead (0.100.0-19) ...
Setting up libcupsppdc1:amd64 (2.1.3-4ubuntu0.2) ...
Setting up libcupsmime1:amd64 (2.1.3-4ubuntu0.2) ...
Setting up libcupsfilters1:amd64 (1.8.3-2ubuntu3.3) ...
Setting up libcupsimage2:amd64 (2.1.3-4ubuntu0.2) ...
Setting up libcups2-dev:amd64 (2.1.3-4ubuntu0.2) ...
Setting up libcupsfilters-dev (1.8.3-2ubuntu3.3) ...
Setting up libcupsimage2-dev (2.1.3-4ubuntu0.2) ...
Setting up libcupscgi1:amd64 (2.1.3-4ubuntu0.2) ...
Setting up cups-filters-core-drivers (1.8.3-2ubuntu3.3) ...
Setting up cups-daemon (2.1.3-4ubuntu0.2) ...
Setting up cups-core-drivers (2.1.3-4ubuntu0.2) ...
Setting up cups-server-common (2.1.3-4ubuntu0.2) ...
Setting up cups-browsed (1.8.3-2ubuntu3.3) ...
Setting up cups-common (2.1.3-4ubuntu0.2) ...
Setting up cups-client (2.1.3-4ubuntu0.2) ...
Setting up cups-bsd (2.1.3-4ubuntu0.2) ...
Setting up cups-ppdc (2.1.3-4ubuntu0.2) ...
Setting up libfontembed1:amd64 (1.8.3-2ubuntu3.3) ...
Setting up cups-filters (1.8.3-2ubuntu3.3) ...

Setting up cups (2.1.3-4ubuntu0.2) ...
Updating PPD files for cups ...
Setting up grub-common (2.02~beta2-36ubuntu3.11) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up grub2-common (2.02~beta2-36ubuntu3.11) ...
Setting up grub-pc-bin (2.02~beta2-36ubuntu3.11) ...
Setting up grub-pc (2.02~beta2-36ubuntu3.11) ...
Installing for i386-pc platform.
Installation finished. No error reported.
Generating grub configuration file ...
Found background: /boot/grub_linux_lite.png
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found background image: /boot/grub_linux_lite.png
Found linux image: /boot/vmlinuz-4.9.0-linuxlite
Found initrd image: /boot/initrd.img-4.9.0-linuxlite
Found linux image: /boot/vmlinuz-4.4.0-79-generic
Found linux image: /boot/vmlinuz-4.4.0-78-generic
Found initrd image: /boot/initrd.img-4.4.0-78-generic
Found linux image: /boot/vmlinuz-4.4.0-77-generic
Found initrd image: /boot/initrd.img-4.4.0-77-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Setting up libsane-common (1.0.25+git20150528-1ubuntu2.16.04.2) ...
Setting up libsane:amd64 (1.0.25+git20150528-1ubuntu2.16.04.2) ...
Setting up libsane-dev (1.0.25+git20150528-1ubuntu2.16.04.2) ...
Setting up libssl-doc (1.0.2g-1ubuntu4.8) ...
Setting up libssl-dev:amd64 (1.0.2g-1ubuntu4.8) ...
Setting up gtk2-engines-pixbuf:amd64 (2.24.30-1ubuntu1.16.04.1) ...
Setting up libgtk2.0-bin (2.24.30-1ubuntu1.16.04.1) ...
Setting up libgail18:amd64 (2.24.30-1ubuntu1.16.04.1) ...
Setting up less (481-2.1ubuntu0.2) ...
Setting up openssl (1.0.2g-1ubuntu4.8) ...
Setting up binutils (2.26.1-1ubuntu1~16.04.4) ...
Setting up libnautilus-extension1a:amd64 (1:3.18.4.is.3.14.3-0ubuntu6) ...
Setting up libqt5core5a:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Setting up libqt5dbus5:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Setting up libqt5network5:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Setting up libqt5gui5:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Setting up libqt5widgets5:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Setting up libqt5xml5:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Setting up libunity-control-center1 (15.04.0+16.04.20170214-0ubuntu1) ...
Setting up libxfont1:amd64 (1:1.5.1-1ubuntu0.16.04.1) ...
Setting up linux-firmware (1.157.11) ...
update-initramfs: Generating /boot/initrd.img-4.9.0-linuxlite
W: Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1_01.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
update-initramfs: Generating /boot/initrd.img-4.4.0-78-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-77-generic
Setting up linux-image-4.4.0-79-generic (4.4.0-79.100) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
Generating grub configuration file ...
Found background: /boot/grub_linux_lite.png
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found background image: /boot/grub_linux_lite.png
Found linux image: /boot/vmlinuz-4.9.0-linuxlite
Found initrd image: /boot/initrd.img-4.9.0-linuxlite
Found linux image: /boot/vmlinuz-4.4.0-79-generic
Found initrd image: /boot/initrd.img-4.4.0-79-generic
Found linux image: /boot/vmlinuz-4.4.0-78-generic
Found initrd image: /boot/initrd.img-4.4.0-78-generic
Found linux image: /boot/vmlinuz-4.4.0-77-generic
Found initrd image: /boot/initrd.img-4.4.0-77-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Setting up linux-image-extra-4.4.0-79-generic (4.4.0-79.100) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
Generating grub configuration file ...
Found background: /boot/grub_linux_lite.png
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found background image: /boot/grub_linux_lite.png
Found linux image: /boot/vmlinuz-4.9.0-linuxlite
Found initrd image: /boot/initrd.img-4.9.0-linuxlite
Found linux image: /boot/vmlinuz-4.4.0-79-generic
Found initrd image: /boot/initrd.img-4.4.0-79-generic
Found linux image: /boot/vmlinuz-4.4.0-78-generic
Found initrd image: /boot/initrd.img-4.4.0-78-generic
Found linux image: /boot/vmlinuz-4.4.0-77-generic
Found initrd image: /boot/initrd.img-4.4.0-77-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Setting up linux-image-generic (4.4.0.79.85) ...
Setting up linux-headers-4.4.0-79 (4.4.0-79.100) ...
Setting up linux-headers-4.4.0-79-generic (4.4.0-79.100) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 4.4.0-79-generic /boot/vmlinuz-4.4.0-79-generic
Setting up linux-headers-generic (4.4.0.79.85) ...
Setting up linux-generic (4.4.0.79.85) ...
Setting up linux-libc-dev:amd64 (4.4.0-79.100) ...
Setting up nautilus-data (1:3.18.4.is.3.14.3-0ubuntu6) ...
Setting up sane-utils (1.0.25+git20150528-1ubuntu2.16.04.2) ...
Setting up x11proto-core-dev (7.0.31-1~ubuntu16.04.1) ...
Setting up kpartx (0.5.0+git1.656f8865-5ubuntu2.5) ...
Setting up kpartx-boot (0.5.0+git1.656f8865-5ubuntu2.5) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Processing triggers for initramfs-tools (0.122ubuntu8.8) ...
update-initramfs: Generating /boot/initrd.img-4.9.0-linuxlite
W: Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1_01.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
bitsnpcs[member=411]bitsnpcs[/member]:~$
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bitsnpcs on June 03, 2017, 04:39:22 AM
Code: [Select]
:~$ apt policy grub-pc
grub-pc:
  Installed: 2.02~beta2-36ubuntu3.11
  Candidate: 2.02~beta2-36ubuntu3.11
  Version table:
 *** 2.02~beta2-36ubuntu3.11 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2.02~beta2-36ubuntu3.9 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
     2.02~beta2-36ubuntu3 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
bitsnpcs[member=411]bitsnpcs[/member]:~$

as per terminal
Code: [Select]
:~$ sudo apt autoremove
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  libmircommon5 linux-headers-4.4.0-77 linux-headers-4.4.0-77-generic
  linux-image-4.4.0-77-generic linux-image-extra-4.4.0-77-generic
0 upgraded, 0 newly installed, 5 to remove and 0 not upgraded.
After this operation, 297 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 307713 files and directories currently installed.)
Removing libmircommon5:amd64 (0.21.0+16.04.20160330-0ubuntu1) ...
Removing linux-headers-4.4.0-77-generic (4.4.0-77.98) ...
Removing linux-headers-4.4.0-77 (4.4.0-77.98) ...
Removing linux-image-extra-4.4.0-77-generic (4.4.0-77.98) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
Error! Your kernel headers for kernel 4.4.0-77-generic cannot be found.
Please install the linux-headers-4.4.0-77-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
Error! Your kernel headers for kernel 4.4.0-77-generic cannot be found.
Please install the linux-headers-4.4.0-77-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-77-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
Generating grub configuration file ...
Found background: /boot/grub_linux_lite.png
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found background image: /boot/grub_linux_lite.png
Found linux image: /boot/vmlinuz-4.9.0-linuxlite
Found initrd image: /boot/initrd.img-4.9.0-linuxlite
Found linux image: /boot/vmlinuz-4.4.0-79-generic
Found initrd image: /boot/initrd.img-4.4.0-79-generic
Found linux image: /boot/vmlinuz-4.4.0-78-generic
Found initrd image: /boot/initrd.img-4.4.0-78-generic
Found linux image: /boot/vmlinuz-4.4.0-77-generic
Found initrd image: /boot/initrd.img-4.4.0-77-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Removing linux-image-4.4.0-77-generic (4.4.0-77.98) ...
Examining /etc/kernel/prerm.d.
run-parts: executing /etc/kernel/prerm.d/dkms 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
update-initramfs: Deleting /boot/initrd.img-4.4.0-77-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-77-generic /boot/vmlinuz-4.4.0-77-generic
Generating grub configuration file ...
Found background: /boot/grub_linux_lite.png
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found background image: /boot/grub_linux_lite.png
Found linux image: /boot/vmlinuz-4.9.0-linuxlite
Found initrd image: /boot/initrd.img-4.9.0-linuxlite
Found linux image: /boot/vmlinuz-4.4.0-79-generic
Found initrd image: /boot/initrd.img-4.4.0-79-generic
Found linux image: /boot/vmlinuz-4.4.0-78-generic
Found initrd image: /boot/initrd.img-4.4.0-78-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Processing triggers for libc-bin (2.23-0ubuntu7) ...
bitsnpcs[member=411]bitsnpcs[/member]:~$

recheck
Code: [Select]
:~$ apt policy grub-pc
grub-pc:
  Installed: 2.02~beta2-36ubuntu3.11
  Candidate: 2.02~beta2-36ubuntu3.11
  Version table:
 *** 2.02~beta2-36ubuntu3.11 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2.02~beta2-36ubuntu3.9 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
     2.02~beta2-36ubuntu3 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
bitsnpcs[member=411]bitsnpcs[/member]:~$
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bitsnpcs on June 03, 2017, 04:47:42 AM
Thank You Jerry :)
Grub is updated now, are the results looking okay ?
Unsure of some re linux headers missing.
I know the i915 is usual xorg/intel it cannot upgrade it until future, needs increment hardware headers, for Mesa framework and others etc.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on June 03, 2017, 05:52:27 AM
Looks good although I wouldn't use the Intel drivers you've added unless you really need them, they go out of date very quickly, but that's a topic for another thread.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: bitsnpcs on June 03, 2017, 07:12:02 AM
Thank You Jerry :)
I could only get it to work with those drivers at currently, using intel stack, grub edit, and kernel upgrade, with a lot of help from the community on forum of how to, it is in another thread etc.
Title: Re: Possible bug in Grub in latest Install Updates
Post by: Jerry on June 03, 2017, 08:19:42 AM
You are very welcome :)

Sent from my Mobile phone using Tapatalk